3 Commits

Author SHA1 Message Date
  Robin Thoni 68469f313b
mount ssh dir 7 months ago
  Robin Thoni 47797d32b2
updated resume (tex; pdf; html) 7 months ago
  Robin Thoni d77315ccfd
Added devcontainer 7 months ago

+ 28
- 0
.devcontainer/devcontainer.json View File

@@ -0,0 +1,28 @@
1
+// For format details, see https://aka.ms/devcontainer.json. For config options, see the
2
+// README at: https://github.com/devcontainers/templates/tree/main/src/ubuntu
3
+{
4
+	"name": "Ubuntu",
5
+	// Or use a Dockerfile or Docker Compose file. More info: https://containers.dev/guide/dockerfile
6
+	"image": "mcr.microsoft.com/devcontainers/base:noble",
7
+	"features": {
8
+		"ghcr.io/devcontainers/features/docker-outside-of-docker:1": {},
9
+        "ghcr.io/prulloac/devcontainer-features/latex:1": {
10
+			"packages": "pgf,moderncv,moderntimeline,emoji,luatexbase,fontspec"
11
+		},
12
+		"./features/local": {}
13
+	},
14
+
15
+	"mounts": [
16
+		"source=${localEnv:HOME}/.docker,target=/home/vscode/.docker,type=bind",
17
+		"source=${localEnv:HOME}/.ssh,target=/home/vscode/.ssh,type=bind"
18
+	],
19
+
20
+	"customizations": {
21
+        "vscode": {
22
+			"settings": {
23
+			},
24
+            "extensions": [
25
+            ]
26
+        }
27
+    }
28
+}

+ 6
- 0
.devcontainer/features/local/devcontainer-feature.json View File

@@ -0,0 +1,6 @@
1
+{
2
+  "id": "local",
3
+  "version": "0.0.1",
4
+  "name": "Local",
5
+  "description": "Local"
6
+}

+ 12
- 0
.devcontainer/features/local/install.sh View File

@@ -0,0 +1,12 @@
1
+#!/usr/bin/env bash
2
+
3
+set -x
4
+set -e
5
+set -o pipefail
6
+
7
+apt-get update
8
+DEBIAN_FRONTEND=noninteractive apt-get install -y --no-install-recommends \
9
+    luatex \
10
+    texlive-luatex \
11
+    fonts-noto-color-emoji \
12
+    ;

+ 22
- 1
apache/wwwroot/index.html View File

@@ -138,6 +138,27 @@
138 138
         </div>
139 139
 
140 140
         <div class="col-lg-6">
141
+            <p>
142
+                <t>Senior Infrastructure Engineer</t>
143
+                <br/>
144
+                <a href="https://flex.ai/" target="_blank">FlexAI</a><br/>
145
+                <i>
146
+                    - Designed and implemented from scratch a new platform to train and host AI applications, based on Kubernetes, FluxCD, Helm, GitHub Actions, etc<br />
147
+                    - Designed and implemented multi-cloud IaC with Pulumi and Ansible (AWS, Azure, Intel, Cisco, Oracle)<br />
148
+                    - SOC2/GDPR compliance: implemented security measures, automated security audits, and created documentation (Hashicorp Vault, etc)<br />
149
+                    - Setup and maintained low-level infrastructure: bare-metal, VMs, networking, storage, NVIDIA/Mellanox Infiniband stack, etc<br />
150
+                    - Worked on custom Kubernetes operators to run AI training and inference workloads
151
+                </i>
152
+            </p>
153
+        </div>
154
+        <div class="col-lg-3">
155
+            <p>
156
+                <sm>2024 - TODAY</sm>
157
+                <br/>
158
+            </p>
159
+        </div>
160
+
161
+        <div class="col-lg-6 col-lg-offset-3">
141 162
             <p>
142 163
                 <t>Infrastructure Engineer Consultant</t>
143 164
                 <br/>
@@ -151,7 +172,7 @@
151 172
         </div>
152 173
         <div class="col-lg-3">
153 174
             <p>
154
-                <sm>2022 - TODAY</sm>
175
+                <sm>2022 - 2023</sm>
155 176
                 <br/>
156 177
             </p>
157 178
         </div>

BIN
apache/wwwroot/resume/Robin_THONI_resume.pdf View File


+ 13
- 4
apache/wwwroot/resume/Robin_THONI_resume.tex View File

@@ -1,3 +1,4 @@
1
+%!TEX program = lualatex
1 2
 % Exemple de CV utilisant la classe moderncv
2 3
 % Style classic en bleu
3 4
 % Article complet : http://blog.madrzejewski.com/creer-cv-elegant-latex-moderncv/
@@ -19,7 +20,7 @@
19 20
 
20 21
 % moderncv timeline
21 22
 \usepackage{moderntimeline/moderntimeline}
22
-\tlmaxdates{2011}{2024}
23
+\tlmaxdates{2011}{2025}
23 24
 \tlwidth{0.8ex}
24 25
 \tltext{\tiny}
25 26
 
@@ -50,7 +51,15 @@
50 51
 
51 52
   \section{Experiences}
52 53
 
53
-  \tlcventry{2022}{0}{Infrastructure Engineer Consultant}{iKe}{\emoji{flag-luxembourg}}{BGL / BNP Paribas Group}{
54
+  \tlcventry{2024}{0}{Senior Infrastructure Engineer}{FlexAI}{\emoji{flag-france}}{PaaS/Infrastructure team}{
55
+    - Designed and implemented from scratch a new platform to train and host AI applications, based on Kubernetes, FluxCD, Helm, GitHub Actions, etc\\
56
+    - Designed and implemented multi-cloud IaC with Pulumi and Ansible (AWS, Azure, Intel, Cisco, Oracle)\\
57
+    - SOC2/GDPR compliance: implemented security measures, automated security audits, and created documentation (Hashicorp Vault, etc)\\
58
+    - Setup and maintained low-level infrastructure: bare-metal, VMs, networking, storage, NVIDIA/Mellanox Infiniband stack, etc\\
59
+    - Worked on custom Kubernetes operators to run AI training and inference workloads\\
60
+  }
61
+
62
+  \tlcventry{2022}{2023}{Infrastructure Engineer Consultant}{iKe}{\emoji{flag-luxembourg}}{BGL / BNP Paribas Group}{
54 63
     - Migrated manually deployed server applications to CI/CD with Jenkins, Docker, Kubernetes, Kustomize, CA Release Automation, Ansible, AWX, Rancher\\
55 64
     - Created a new CI/CD pipeline to deploy Helm charts in IBM Kubernetes Services (IKS)\\
56 65
     - Packaging and automation of the deployment of a full Core Banking software in Kubernetes/Helm to replace the existing mainframe
@@ -65,7 +74,7 @@
65 74
     - Led the design and implementation of a GPU thread-array diversity measurement tool: generate reports on how thread-arrays are dispatched on physical GPU cores to detect hardware errors for internal automotive usage
66 75
   }
67 76
 
68
-  \tlcventry{2016}{0}{Infrastructure Engineer}{Betaclean}{\emoji{flag-france}}{}{
77
+  \tlcventry{2016}{0}{Infrastructure Engineer}{Betaclean}{\emoji{flag-france}}{Family Business}{
69 78
     - Setup physical network (ISP / routers / ethernet / Wi-Fi)\\
70 79
     - Development of internal intranet web app\\
71 80
     - Deployment/management of security systems (Bitwarden / Keycloak / CA / firewall)\\
@@ -87,7 +96,7 @@
87 96
   \cvitem{Languages}{C; C++; Python; C\#; Go; Java; Shell/Bash; PostgreSQL}
88 97
   \cvitem{Frameworks}{Android SDK; Qt; ASP.NET Core}
89 98
   \cvitem{Infrastructure}{Kubernetes; Docker/docker-compose; E-mail servers; DNS servers, Keycloak; Bitwarden; Iptables; Zabbix; Step-ca; Hashicorp Vault; Linux Debian/RHEL}
90
-  \cvitem{CI/CD}{Jenkins; SaltStack; Ansible; Helm; Kustomize}
99
+  \cvitem{CI/CD}{Jenkins; SaltStack; Ansible; Helm; Kustomize; Pulumi; Terraform}
91 100
 
92 101
   \section{Miscellaneous}
93 102
   \subsection{Languages}

Loading…
Cancel
Save